summaryrefslogtreecommitdiff
path: root/tests/misc/timeout
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2008-03-28 11:05:55 +0000
committerJim Meyering <meyering@redhat.com>2008-06-02 14:40:26 +0200
commit265c4b83a81c643f3359be926ef8034f28f321ed (patch)
tree4e8cf6f6938638e99f1e0d848780029480e28216 /tests/misc/timeout
parent4a510cd3997325cd8617c0ae082c9eb7220208d6 (diff)
downloadcoreutils-265c4b83a81c643f3359be926ef8034f28f321ed.tar.xz
new program: timeout
* AUTHORS: Register as the author. * NEWS: Mention this change. * README: Add timeout command to list. * src/timeout.c: New file. * src/kill.c (operand2sig): Move function to its own file, now that timeout.c will also use it. * src/operand2sig.c (operand2sig): New file, extracted from kill.c. * src/operand2sig.h (operand2sig): Declare. * src/Makefile.am (EXTRA_PROGRAMS): Add timeout. * src/.gitignore: Add timeout binary to list to ignore. * doc/coreutils.texi (timeout invocation): Add timeout info. (Signal specifications): New section, also referenced by kill. * man/Makefile.am (timeout.1): Add dependency. * man/timeout.x: New file. * po/POTFILES.in: Add timeout.c and operand2sig.c to list to translate. * tests/Makefile.am (TESTS): Add the two new tests. * tests/misc/help-version: Add support for new timeout command. * tests/misc/invalid-opt: Add support for new timeout command. * tests/misc/timeout: New file: check basic timeout operation. * tests/misc/timeout-parameters: New file: check invalid parameter combinations.
Diffstat (limited to 'tests/misc/timeout')
-rwxr-xr-xtests/misc/timeout44
1 files changed, 44 insertions, 0 deletions
diff --git a/tests/misc/timeout b/tests/misc/timeout
new file mode 100755
index 000000000..7f52f6e27
--- /dev/null
+++ b/tests/misc/timeout
@@ -0,0 +1,44 @@
+#!/bin/sh
+# Validate timeout basic operation
+
+# Copyright (C) 2008 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ timeout --version
+fi
+
+. $srcdir/test-lib.sh
+
+fail=0
+
+# no timeout
+timeout 1 true || fail=1
+
+# no timeout (suffix check)
+timeout 1d true || fail=1
+
+# disabled timeout
+timeout 0 true || fail=1
+
+# exit status propagation
+timeout 1 false && fail=1
+
+# timeout
+timeout 1 sleep 2
+test $? = 110 || fail=1
+
+(exit $fail); exit $fail